## slony1-2 2.2.8

=== share/Makefile ===
# ----------
# Makefile for share
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = share
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile slon.conf-example upstart-slon.conf-sample

CONF_NAMES = slon.conf-sample upstart-slon.conf-sample

install: 
	for file in $(CONF_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(sysconfdir) || exit ; \
	done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/changelog ===
slony1-2 (2.2.8-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:29:46 +0100

slony1-2 (2.2.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:31:21 +0100

slony1-2 (2.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.
  * src/parsestatements/Makefile: Add CPPFLAGS and LDFLAGS to test-scanner.
    Spotted by blhc.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2019 14:23:01 +0200

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper (>= 9.20160114),
 docbook (>= 4.2),
 docbook-dsssl,
 docbook-utils,
 docbook-xml (>= 4.2),
 docbook2x (>= 0.8.8-4),
 flex,
 ghostscript,
 groff,
 libjpeg-turbo-progs | libjpeg-progs,
 libpq-dev,
 netpbm,
 openjade,
 opensp,
 postgresql-server-dev-all (>= 148~),
Standards-Version: 4.2.0
Homepage: http://slony.info/
Vcs-Git: https://salsa.debian.org/postgresql/slony1-2.git
Vcs-Browser: https://salsa.debian.org/postgresql/slony1-2
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 logrotate,
 postgresql-common,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 libdbd-pg-perl,
 ntp | time-daemon,
 ${module:Recommends},
Suggests:
 libpg-perl,
 slony1-2-doc,
Provides:
 slony1-bin,
Conflicts:
 slony1-bin,
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 slony1-doc,
Conflicts:
 slony1-doc,
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-12-slony1-2
Architecture: any
Depends:
 postgresql-12,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 slony1-2-bin,
Provides:
 postgresql-12-slony1,
Conflicts:
 postgresql-12-slony1,
Description: replication system for PostgreSQL: PostgreSQL 12 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 12 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

# reverse the list of supported versions to have the default version first in module:Recommends
supported_versions := $(shell pg_buildext supported-versions | tac)

%:
	dh $@

clean: debian/control prep
.PHONY: debian/control

.PHONY: prep
prep:
	rm -f debian/postgresql-?.?-slony1-2.install
	for v in $(supported_versions); do echo "usr/lib/postgresql/$$v/lib/" >debian/postgresql-$$v-slony1-2.install || exit; done

common_configure_options = --with-pgsharedir=/usr/share/slony1 --sysconfdir=/etc/slony1

override_dh_auto_configure:
	dh_auto_configure -- $(common_configure_options) --with-docs --with-docdir=/NOTUSED --with-perltools --with-perlsharedir=/usr/share/slony1 --with-pgpkglibdir=/tmp
	for v in $(supported_versions); do ( \
		mkdir -p build-$$v/src/backend && \
		ln -s $(CURDIR)/config build-$$v/ && \
		ln -s $(CURDIR)/src/backend/Makefile build-$$v/src/backend/ && \
		cd build-$$v/ && \
		../configure $(common_configure_options) --with-pgconfigdir=/usr/lib/postgresql/$$v/bin --with-pgpkglibdir=/usr/lib/postgresql/$$v/lib \
	) || exit; done

altperl_scripts = slon_kill slon_start slon_status slon_watchdog slon_watchdog2 slonik_build_env \
	slonik_add_node slonik_create_set slonik_drop_node slonik_drop_sequence slonik_drop_set slonik_drop_table slonik_execute_script \
	slonik_failover slonik_init_cluster slonik_merge_sets slonik_move_set slonik_print_preamble slonik_restart_node \
	slonik_store_node slonik_subscribe_set slonik_uninstall_nodes slonik_unsubscribe_set slonik_update_nodes \
	slony_show_configuration

override_dh_auto_build:
	+dh_auto_build
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend so VPATH=$(CURDIR)/src/backend || exit; done
	for f in $(altperl_scripts); do \
	  sed "s/@program@/$$f/g;s/@PROGRAM@/\U$$f/g" debian/altperl.1.in >debian/$$f.1 || exit $?; \
	done

override_dh_auto_clean:
	test ! -f GNUmakefile || $(MAKE) distclean
	rm -f doc/adminguide/slony.xml
	rm -f $(altperl_scripts:%=debian/%.1)
	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done
	rm -f tests/random_number tests/random_string
	rm -f 'doc/adminguide/slony_logshipping.<1' # bogus file in 2.2.0

override_dh_auto_install:
	+dh_auto_install
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend installso VPATH=$(CURDIR)/src/backend DESTDIR=$(CURDIR)/debian/tmp || exit; done
	(echo -n "module:Recommends="; for v in $(supported_versions); do echo -n "postgresql-$$v-slony1-2 |"; done) >>debian/slony1-2-bin.substvars

override_dh_installinit:
	dh_installinit --name=slony1

override_dh_installlogrotate:
	dh_installlogrotate --name=slony1

override_dh_installdocs:
	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl gitignore HTML\.index Makefile)

override_dh_compress:
	dh_compress -X\.pl -X\.sh

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg18.04+1

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

slony1-2 (2.2.10-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Nov 2021 21:54:44 +0100

slony1-2 (2.2.10-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:10:21 +0200

slony1-2 (2.2.10-1) unstable; urgency=medium

  * New upstream version.
  * debian/tests: Append extra _ to version in symbols.
  * Drop "uupdate" from watch file.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jan 2021 17:11:43 +0100

slony1-2 (2.2.8-6) unstable; urgency=medium

  * Test loading PG functions directly instead of relying on the brittle
    testsuite.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Oct 2020 14:57:32 +0200

slony1-2 (2.2.8-5) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * debian/tests: Use installed-versions instead of supported-versions.
  * Remove obsolete lintian overrides.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 23:37:31 +0200

slony1-2 (2.2.8-4) unstable; urgency=medium

  * Pull patch from upstream to fix compiling with -fno-common.
    (Closes: #957815)

 -- Christoph Berg <myon@debian.org>  Wed, 29 Jul 2020 15:13:32 +0200

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg20.04+1

=== .pc/manpage-build.patch/doc/adminguide/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation makefile
#
# 
#
#----------------------------------------------------------------------------

subdir = doc/adminguide
slony_top_builddir = ../..

include $(slony_top_builddir)/Makefile.global

.SECONDARY:
.NOTPARALLEL:


GENERATED_SGML = bookindex.sgml version.sgml schemadoc.sgml
GENERATED_XML = schemadoc.xml

ALLSGML = $(wildcard $(srcdir)/*.sgml) $(GENERATED_SGML) $(GENERATED_XML)
DISTFILES = $(ALLSGML) $(GENERATED_SGML)

ifdef DOCBOOKSTYLE
CATALOG = -c $(DOCBOOKSTYLE)/catalog
endif

# Enable draft mode during development
ifneq (,$(findstring devel, $(VERSION)))
override JADEFLAGS += -V draft-mode
endif

# docbook2man generates man pages from docbook refentry source code.
ifdef D2MDIR
D2MSCRIPT=$(D2MDIR)/docbook2man-spec.pl
endif

# Enable some extra warnings
override SPFLAGS += -wall -wno-unused-param -wno-empty

##
## Man pages
##

.PHONY: man


man: man.sgml $(ALLSGML)
ifdef NSGMLS
ifdef SGMLSPL
ifdef D2MSCRIPT
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
# One more time, to resolve cross-references
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
	mkdir -p man1 man7
	mv *.1 man1/
	mv *.7 man7/
endif
endif
endif

##
## HTML
##

all: html man
	$(MAKE) html

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/sgml
	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man1
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man7
endif

install: installdirs
ifdef D2MSCRIPT
ifdef docdir
	for file in man1/*.1; do \
	   $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in man7/*.7; do \
	   echo $$file; \
	   $(INSTALL_DATA) "$$file" $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in $(wildcard *.html) stylesheet.css ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/html || exit;\
	done
endif
endif

HTML.index: html

.PHONY: html

ifndef JADE
html:
	@echo "You must have jade installed to build the documentation." && exit;
else
html: slony.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html ;\
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -ioutput-html -t sgml $<
ifeq ($(vpath_build), yes)
	@cp $(srcdir)/stylesheet.css .
endif
endif

COLLATEINDEX := LC_ALL=C $(PERL) $(COLLATEINDEX) -f -g

ifdef JADE
ifeq (,$(wildcard HTML.index))
bookindex.sgml:
	$(COLLATEINDEX) -o $@ -N -i 'bookindex'
else
bookindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'bookindex' -o $@ $<
endif
else
bookindex.sgml:
	@echo "You must have jade to build the documentation" && exit
endif

##
## Print
##

# RTF to allow minor editing for hardcopy

%.rtf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t rtf -V rtf-backend -ioutput-print $<

# TeX
# Regular TeX and pdfTeX have slightly differing requirements, so we
# need to distinguish the path we're taking.

%.tex-ps: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texdvi-output -o $@ $<

%.tex-pdf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texpdf-output -o $@ $<

%.pdf: %.xml
	sed -i "s:<article:<sect1:g;s:</article:</sect1:g" $<;
	# We use dblatex to generate a temporary Tex file named (for example) 'slony-tmp.tex'
	dblatex -t tex -o slony-tmp.tex $<
	#  We drop bad lines "\end{document}" generated by dblatex
	grep -vE '^(\\end{document}|\\subsection\*)$$' slony-tmp.tex > slony.tex
	# We put the required '\end{document}' at the end of the Tex file
	printf '\\end{document}' >>  slony.tex
	# Latex required to run the following command 3 times in order to generating the TOC of the document
	pdflatex slony.tex
	pdflatex slony.tex
	pdflatex slony.tex

%.dvi: %.tex-ps
	@rm -f $*.aux $*.log
	jadetex $<
	jadetex $<
	jadetex $<

# Postscript from TeX
%.ps: %.dvi
	dvips -o $@ $<


# This generates an XML version of the flow-object tree.  It's useful
# for debugging DSSSL code, and possibly to interface to some other
# tools that can make use of this.
%.fot: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t fot -i output-print -o $@ $<


# Graphics

%.gif:
	cp $(srcdir)/../graphics/$@ .

%.eps: %.gif
	$(CONVERT) $< eps:$@

%.pdf: %.eps
	$(EPSTOPDF) $<


##
## Semi-automatic generation of some text files.
##

JADE.text = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -i output-text -t sgml
LYNX = lynx

INSTALL HISTORY regress_README: % : %.html
	$(PERL) -p -e 's/<H(1|2)$$/<H\1 align=center/g' $< | $(LYNX) -force_html -dump -nolist -stdin >$@

INSTALL.html: standalone-install.sgml installation.sgml 
	$(JADE.text) -V nochunks standalone-install.sgml installation.sgml >$@

HISTORY.html: release.sgml
	( echo '<!doctype appendix PUBLIC "-//OASIS//DTD DocBook V4.2//EN">'; \
	  cat $< ) >tempfile_HISTORY.sgml
	$(JADE.text) -V nochunks tempfile_HISTORY.sgml >$@
	rm tempfile_HISTORY.sgml

regress_README.html: regress.sgml
	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
	  echo '<!entity % standalone-ignore "IGNORE"> ]>'; \
	  cat $< ) >tempfile_regress_README.sgml
	$(JADE.text) -V nochunks tempfile_regress_README.sgml >$@
	rm tempfile_regress_README.sgml


##
## Experimental XML stuff
##

OSX = osx # (may be called sx or sgml2xml on some systems)
XSLTPROC = xsltproc

slony.xml: slony.sgml $(GENERATED_SGML)
	$(OSX) -x lower $< | \
	  sed -e 's/\[\(lt\|gt\|amp\|nbsp\|copy\|quot\|ouml\|uuml\|egrave\) *\]/\&\1;/g' \
	      -e '1a\' -e '<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">' \
	  >$@

testxml: stylesheet.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^

htmlhelp: stylesheet-hh.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^


##
## Check
##

# Quick syntax check without style processing
check: slony.sgml $(ALLSGML) $(GENERATED_SGML)
	$(NSGMLS) $(SPFLAGS) $(SGMLINCLUDE) -s $<


##
## Clean
##

distclean:
# HTML
	rm -f HTML.manifest *.html *.gif
# man
	rm -rf *.1 *.7 man1 man7 manpage.refs manpage.links manpage.log
# print
	rm -f *.rtf *.tex-ps *.tex-pdf *.dvi *.aux *.log *.ps *.pdf *.out *.eps *.fot *.tex *-temp.tex *.toc *.toc *.loc *.lot *.glo
# index
	rm -f HTML.index $(GENERATED_SGML)
# text
	rm -f INSTALL HISTORY
	rm -f slony.xml
clean maintainer-clean : distclean
# xml
	rm -f schemadoc.xml 

BASEDIR=$(slony_top_builddir)/src/backend
BASESQL=$(BASEDIR)/slony1_base.sql
BASEFUNS=$(BASEDIR)/slony1_funcs.sql
XIDSQL=localxid.sql
TEMPDB=schemadoc
TEMPSCHEMA=schemadoc
CREATELANG=$(pgbindir)/createlang   # That's how it is for me...

schemadoc.sgml: schemadoc.xml
	sed 's,/>,>,g' $< >$@

schemadoc.xml: $(BASESQL) $(BASEFUNS) $(XIDDIR)
	@$(pgbindir)/createdb $(TEMPDB) && ( \
	$(CREATELANG) plpgsql $(TEMPDB) 2>/dev/null ; \
	echo "drop schema $(TEMPSCHEMA);create schema $(TEMPSCHEMA);" | $(pgbindir)/psql $(TEMPDB) && \
	cat $(XIDSQL) $(BASEFUNS) $(BASESQL) |  sed -e "s/@NAMESPACE@/$(TEMPSCHEMA)/g"  -e "s/@CLUSTERNAME@/$(TEMPSCHEMA)/g" | $(pgbindir)/psql $(TEMPDB) && \
	$(PGAUTODOC) -d $(TEMPDB) -s $(TEMPSCHEMA) -t xml -f schemadoc ;\
	sed -i.bak -e "s/$(TEMPSCHEMA)\.//g" -e "s@<book.*>@@g" -e "s@</book.*>@@g" schemadoc.xml ;\
	rm  schemadoc.xml.bak ;\
	$(pgbindir)/dropdb $(TEMPDB) >/dev/null 2>&1 \
	) || echo "unable to createdb $(TEMPDB)"

version.sgml:	$(slony_top_builddir)/Makefile.global
	{ \
	echo "<!entity version \"$(VERSION)\">"; \
	echo "<!entity majorversion \"`expr $(VERSION) : '\([0-9][0-9]*\.[0-9][0-9]*\)'`\">"; \
	} >$@

distdir:	$(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg21.10+1

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg22.04+1

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg90+1

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg100+1

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg120+1

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  openjade,
  opensp,
  postgresql-server-dev-all (>= 148~),
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://slony.info/
 Vcs-Git: https://salsa.debian.org/postgresql/slony1-2.git
 Vcs-Browser: https://salsa.debian.org/postgresql/slony1-2
@@ -74,6 +75,58 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
+Package: postgresql-10-slony1-2
+Architecture: any
+Depends:
+ postgresql-10,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-10-slony1,
+Conflicts:
+ postgresql-10-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 10 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 10 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-11-slony1-2
+Architecture: any
+Depends:
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-11-slony1,
+Conflicts:
+ postgresql-11-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 11 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 11 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
 Package: postgresql-12-slony1-2
 Architecture: any
 Depends:
@@ -99,3 +152,55 @@
  The actual replication daemon and the administration tools are in the
  package slony1-2-bin.  This package is useless without slony1-2-bin installed
  somewhere in the network.
+
+Package: postgresql-13-slony1-2
+Architecture: any
+Depends:
+ postgresql-13,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-13-slony1,
+Conflicts:
+ postgresql-13-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 13 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 13 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-14-slony1-2
+Architecture: any
+Depends:
+ postgresql-14,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-14-slony1,
+Conflicts:
+ postgresql-14-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 14 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 14 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.

## slony1-2 2.2.10~20220627.1509-3~1.gitde4293f.pgdg+1

=== doc/adminguide/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation makefile
#
# 
#
#----------------------------------------------------------------------------

subdir = doc/adminguide
slony_top_builddir = ../..

include $(slony_top_builddir)/Makefile.global

.SECONDARY:
.NOTPARALLEL:


GENERATED_SGML = bookindex.sgml version.sgml schemadoc.sgml
GENERATED_XML = schemadoc.xml

ALLSGML = $(wildcard $(srcdir)/*.sgml) $(GENERATED_SGML) $(GENERATED_XML)
DISTFILES = $(ALLSGML) $(GENERATED_SGML)

ifdef DOCBOOKSTYLE
CATALOG = -c $(DOCBOOKSTYLE)/catalog
endif

# Enable draft mode during development
ifneq (,$(findstring devel, $(VERSION)))
override JADEFLAGS += -V draft-mode
endif

# docbook2man generates man pages from docbook refentry source code.
ifdef D2MDIR
D2MSCRIPT=$(D2MDIR)/docbook2man-spec.pl
endif

# Enable some extra warnings
override SPFLAGS += -wall -wno-unused-param -wno-empty

##
## Man pages
##

.PHONY: man


man: slony.xml
	docbook2x-man slony.xml
	mkdir -p man1 man7
	mv *.1 man1/
	mv *.7 man7/

##
## HTML
##

all: html man
	$(MAKE) html

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/sgml
	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man1
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man7
endif

install: installdirs
ifdef D2MSCRIPT
ifdef docdir
	for file in man1/*.1; do \
	   $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in man7/*.7; do \
	   echo $$file; \
	   $(INSTALL_DATA) "$$file" $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in $(wildcard *.html) stylesheet.css ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/html || exit;\
	done
endif
endif

HTML.index: html

.PHONY: html

ifndef JADE
html:
	@echo "You must have jade installed to build the documentation." && exit;
else
html: slony.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html ;\
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -ioutput-html -t sgml $<
ifeq ($(vpath_build), yes)
	@cp $(srcdir)/stylesheet.css .
endif
endif

COLLATEINDEX := LC_ALL=C $(PERL) $(COLLATEINDEX) -f -g

ifdef JADE
ifeq (,$(wildcard HTML.index))
bookindex.sgml:
	$(COLLATEINDEX) -o $@ -N -i 'bookindex'
else
bookindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'bookindex' -o $@ $<
endif
else
bookindex.sgml:
	@echo "You must have jade to build the documentation" && exit
endif

##
## Print
##

# RTF to allow minor editing for hardcopy

%.rtf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t rtf -V rtf-backend -ioutput-print $<

# TeX
# Regular TeX and pdfTeX have slightly differing requirements, so we
# need to distinguish the path we're taking.

%.tex-ps: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texdvi-output -o $@ $<

%.tex-pdf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texpdf-output -o $@ $<

%.pdf: %.xml
	sed -i "s:<article:<sect1:g;s:</article:</sect1:g" $<;
	# We use dblatex to generate a temporary Tex file named (for example) 'slony-tmp.tex'
	dblatex -t tex -o slony-tmp.tex $<
	#  We drop bad lines "\end{document}" generated by dblatex
	grep -vE '^(\\end{document}|\\subsection\*)$$' slony-tmp.tex > slony.tex
	# We put the required '\end{document}' at the end of the Tex file
	printf '\\end{document}' >>  slony.tex
	# Latex required to run the following command 3 times in order to generating the TOC of the document
	pdflatex slony.tex
	pdflatex slony.tex
	pdflatex slony.tex

%.dvi: %.tex-ps
	@rm -f $*.aux $*.log
	jadetex $<
	jadetex $<
	jadetex $<

# Postscript from TeX
%.ps: %.dvi
	dvips -o $@ $<


# This generates an XML version of the flow-object tree.  It's useful
# for debugging DSSSL code, and possibly to interface to some other
# tools that can make use of this.
%.fot: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t fot -i output-print -o $@ $<


# Graphics

%.gif:
	cp $(srcdir)/../graphics/$@ .

%.eps: %.gif
	$(CONVERT) $< eps:$@

%.pdf: %.eps
	$(EPSTOPDF) $<


##
## Semi-automatic generation of some text files.
##

JADE.text = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -i output-text -t sgml
LYNX = lynx

INSTALL HISTORY regress_README: % : %.html
	$(PERL) -p -e 's/<H(1|2)$$/<H\1 align=center/g' $< | $(LYNX) -force_html -dump -nolist -stdin >$@

INSTALL.html: standalone-install.sgml installation.sgml 
	$(JADE.text) -V nochunks standalone-install.sgml installation.sgml >$@

HISTORY.html: release.sgml
	( echo '<!doctype appendix PUBLIC "-//OASIS//DTD DocBook V4.2//EN">'; \
	  cat $< ) >tempfile_HISTORY.sgml
	$(JADE.text) -V nochunks tempfile_HISTORY.sgml >$@
	rm tempfile_HISTORY.sgml

regress_README.html: regress.sgml
	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
	  echo '<!entity % standalone-ignore "IGNORE"> ]>'; \
	  cat $< ) >tempfile_regress_README.sgml
	$(JADE.text) -V nochunks tempfile_regress_README.sgml >$@
	rm tempfile_regress_README.sgml


##
## Experimental XML stuff
##

OSX = osx # (may be called sx or sgml2xml on some systems)
XSLTPROC = xsltproc

slony.xml: slony.sgml $(GENERATED_SGML)
	$(OSX) -x lower $< | \
	  sed -e 's/\[\(lt\|gt\|amp\|nbsp\|copy\|quot\|ouml\|uuml\|egrave\) *\]/\&\1;/g' \
	      -e '1a\' -e '<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">' \
	  >$@

testxml: stylesheet.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^

htmlhelp: stylesheet-hh.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^


##
## Check
##

# Quick syntax check without style processing
check: slony.sgml $(ALLSGML) $(GENERATED_SGML)
	$(NSGMLS) $(SPFLAGS) $(SGMLINCLUDE) -s $<


##
## Clean
##

distclean:
# HTML
	rm -f HTML.manifest *.html *.gif
# man
	rm -rf *.1 *.7 man1 man7 manpage.refs manpage.links manpage.log
# print
	rm -f *.rtf *.tex-ps *.tex-pdf *.dvi *.aux *.log *.ps *.pdf *.out *.eps *.fot *.tex *-temp.tex *.toc *.toc *.loc *.lot *.glo
# index
	rm -f HTML.index $(GENERATED_SGML)
# text
	rm -f INSTALL HISTORY
	rm -f slony.xml
clean maintainer-clean : distclean
# xml
	rm -f schemadoc.xml 

BASEDIR=$(slony_top_builddir)/src/backend
BASESQL=$(BASEDIR)/slony1_base.sql
BASEFUNS=$(BASEDIR)/slony1_funcs.sql
XIDSQL=localxid.sql
TEMPDB=schemadoc
TEMPSCHEMA=schemadoc
CREATELANG=$(pgbindir)/createlang   # That's how it is for me...

schemadoc.sgml: schemadoc.xml
	sed 's,/>,>,g' $< >$@

schemadoc.xml: $(BASESQL) $(BASEFUNS) $(XIDDIR)
	@$(pgbindir)/createdb $(TEMPDB) && ( \
	$(CREATELANG) plpgsql $(TEMPDB) 2>/dev/null ; \
	echo "drop schema $(TEMPSCHEMA);create schema $(TEMPSCHEMA);" | $(pgbindir)/psql $(TEMPDB) && \
	cat $(XIDSQL) $(BASEFUNS) $(BASESQL) |  sed -e "s/@NAMESPACE@/$(TEMPSCHEMA)/g"  -e "s/@CLUSTERNAME@/$(TEMPSCHEMA)/g" | $(pgbindir)/psql $(TEMPDB) && \
	$(PGAUTODOC) -d $(TEMPDB) -s $(TEMPSCHEMA) -t xml -f schemadoc ;\
	sed -i.bak -e "s/$(TEMPSCHEMA)\.//g" -e "s@<book.*>@@g" -e "s@</book.*>@@g" schemadoc.xml ;\
	rm  schemadoc.xml.bak ;\
	$(pgbindir)/dropdb $(TEMPDB) >/dev/null 2>&1 \
	) || echo "unable to createdb $(TEMPDB)"

version.sgml:	$(slony_top_builddir)/Makefile.global
	{ \
	echo "<!entity version \"$(VERSION)\">"; \
	echo "<!entity majorversion \"`expr $(VERSION) : '\([0-9][0-9]*\.[0-9][0-9]*\)'`\">"; \
	} >$@

distdir:	$(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== src/backend/Makefile ===
# ----------
# Makefile for src/backend
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/backend
slony_top_builddir = ../..
SLFILEDESC="Slony replication functions"
NAME		= slony1_funcs
SO_NAME = $(NAME).$(VERSION)$(DLSUFFIX)
include $(slony_top_builddir)/Makefile.global
CPPFLAGS:=$(CPPFLAGS_SERVER)
override CFLAGS += -I$(slony_top_builddir) $(CFLAGS_SL)
CPPFLAGS += -I.


SO_OBJS	= $(NAME).o $(WIN32RES)

BASE_COMMON		= slony1_base.sql
FUNCS_COMMON	= slony1_funcs.sql

BASE_83			= slony1_base.v83.sql
FUNCS_83		= slony1_funcs.v83.sql
BASE_84			= slony1_base.v84.sql
FUNCS_84		= slony1_funcs.v84.sql

SQL_NAMES =				\
	$(BASE_COMMON)		\
	$(FUNCS_COMMON)		\
	$(BASE_83)			\
	$(BASE_84)			\
	$(FUNCS_83)			\
	$(FUNCS_84)

DISTFILES = Makefile README README.events $(wildcard *.sql) $(wildcard *.in) $(wildcard *.c)

ALL = $(SQL_NAMES)


all:	$(ALL)
so:	$(SO_NAME)

$(SO_NAME):	$(SO_OBJS)

$(NAME).o:	$(NAME).c avl_tree.c avl_tree.h

avl_tree.c:	../misc/avl_tree.c
	cp $< $@

avl_tree.h:	../misc/avl_tree.h
	cp $< $@

clean distclean maintainer-clean:
	rm -f $(SO_NAME) $(SO_OBJS) avl_tree.c avl_tree.h

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(wildcard *.c)

install: all installdirs
	for file in $(SQL_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(pgsharedir)/`basename $$file .sql`.$(VERSION).sql || exit ; \
	done


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pgsharedir)


installso: $(SO_NAME)
	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/changelog ===
slony1-2 (2.2.10~20220627.1509-3~1.gitde4293f.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 01 Nov 2021 21:54:44 +0100

## slony1-2 2.2.10

=== src/Makefile ===
# ----------
# Makefile for src
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile
SUBDIRS = parsestatements slon slonik backend ducttape
ifeq ($(PORTNAME),win32)
SUBDIRS += slevent
else
SUBDIRS += slony_logshipper
endif

all install installdirs clean distclean maintainer-clean:
	@for subdir in $(SUBDIRS) ; do \
	  $(MAKE) -C $$subdir $@ || exit; \
    done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done
	@for subdir in $(SUBDIRS) ; do \
	  $(MAKE) -C $$subdir distdir || exit; \
    done

=== tests/Makefile ===
all: random_number random_string

random_number: random_number.c
	$(CC) random_number.c -o random_number

random_string: random_string.c
	$(CC) random_string.c -o random_string

=== doc/adminguide/Makefile ===
--- 
+++ 
@@ -45,18 +45,25 @@
 .PHONY: man
 
 
-man: slony.xml
-	docbook2x-man slony.xml
+man: man.sgml $(ALLSGML)
+ifdef NSGMLS
+ifdef SGMLSPL
+ifdef D2MSCRIPT
+	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
+# One more time, to resolve cross-references
+	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
 	mkdir -p man1 man7
 	mv *.1 man1/
 	mv *.7 man7/
+endif
+endif
+endif
 
 ##
 ## HTML
 ##
 
 all: html man
-	$(MAKE) html
 
 installdirs:
 ifdef docdir

=== src/backend/Makefile ===
--- 
+++ 
@@ -38,11 +38,11 @@
 
 DISTFILES = Makefile README README.events $(wildcard *.sql) $(wildcard *.in) $(wildcard *.c)
 
-ALL = $(SQL_NAMES)
+ALL = $(SQL_NAMES)		\
+	$(SO_NAME)
 
 
 all:	$(ALL)
-so:	$(SO_NAME)
 
 $(SO_NAME):	$(SO_OBJS)
 
@@ -61,18 +61,16 @@
 	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(wildcard *.c)
 
 install: all installdirs
+	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)
 	for file in $(SQL_NAMES); do \
 	  $(INSTALL_DATA) $$file $(DESTDIR)$(pgsharedir)/`basename $$file .sql`.$(VERSION).sql || exit ; \
 	done
 
 
 installdirs:
+	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
 	$(mkinstalldirs) $(DESTDIR)$(pgsharedir)
 
-
-installso: $(SO_NAME)
-	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
-	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)
 
 
 distdir: $(DISTFILES)

=== src/ducttape/Makefile ===
# ----------
# Makefile for src/ducttape
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/ducttape
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

TESTSSRC = `ls test_[0-9A-Z]_*.in`
TESTS = `ls test_[0-9A-Z]_*.in | sed -e 's/\.in//'`
DISTFILES = Makefile README $(TESTSSRC)
ALL =


all:	$(ALL)
	@for script in $(TESTS); do \
		if test x"$(host_os)" = "xmingw32"; then \
			sed -e 's/TERMPROG=xterm/TERMPROG=rxvt/' -e 's/WHICHPROG=which/WHICHPROG=\/bin\/which/' $$script.in > $$script; \
		else \
			cp $$script.in $$script; \
			chmod ugo+x $$script; \
		fi; \
	done

clean distclean maintainer-clean:
	@for script in $(TESTS); do \
		if [ -f $$script ]; then \
			rm -f $$script; \
		fi; \
	done;\
	rm -rf dump.tmp.*
	rm -rf offline_dump.sql offline_logs

install: all installdirs


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir)

test:
	for script in $(TESTS) ; do \
	  ./$$script || exit; \
	done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/slevent/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/slevent
#
# Copyright (c) 1996-2009, PostgreSQL Global Development Group
#
#-------------------------------------------------------------------------

slony_subdir = src/slevent
slony_top_builddir = ../..
SLFILEDESC="Slony-I Eventlog Message Library"
SLFILESHLIB=1
include $(slony_top_builddir)/Makefile.global

OBJS=slevent.o slmsgevent.o
NAME=slevent.dll

all: slevent.dll 

install: all install-lib

slevent.dll: $(OBJS) slevent.def
	dllwrap --def slevent.def -o $(NAME) $(OBJS)
	
slmsgevent.o: slmsgevent.rc win32ver.rc
	windres slmsgevent.rc -o slmsgevent.o --include-dir=$(slony_top_builddir)

all-lib: $(NAME)

install-lib: $(NAME)
	$(INSTALL_SCRIPT) $< $(DESTDIR)$(pgpkglibdir)/$<

uninstall-lib:
	rm -f $(DESTDIR)$(libdir)/$(NAME)

clean distclean:
	rm -f $(OBJS) $(NAME) win32ver.rc

clean-lib:
	rm -f $(NAME)

=== src/slonik/Makefile ===
# ----------
# Makefile for src/slonik
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
# ----------

slony_subdir = src/slonik
slony_top_builddir = ../..
SLFILEDESC="Slony command interpreter"
include $(slony_top_builddir)/Makefile.global
ifeq ($(HAVE_PGPORT),1)
CPPFLAGS:=$(CPPFLAGS_SERVER) $(CPPFLAGS_CLIENT)
else
CPPFLAGS:=$(CPPFLAGS_CLIENT)
endif
ifeq ($(PORTNAME), aix)
  CFLAGS += -D_LARGE_FILES
endif

CFLAGS += -I$(slony_top_builddir) -DPGSHARE="\"$(pgsharedir)\"" 

PROG		= slonik

ifeq ($(PORTNAME), win)
PROG            = slonik.exe
LDFLAGS += -lpgport
endif
ifeq ($(PORTNAME), win32)
PROG            = slonik.exe
LDFLAGS += -lpgport
else ifdef HAVE_PGPORT
LDFLAGS += -lpgport
ifdef HAVE_PGCOMMON
LDFLAGS += -lpgcommon
endif
endif

OBJS		= 			\
	slonik.o			\
	dbutil.o			\
	parser.o $(WIN32RES)            \
	../parsestatements/scanner.o    \
	scan.o
DISTFILES = Makefile $(wildcard *.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =					\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROG)
slonik.o:			slonik.c slonik.h
dbutil.o:			dbutil.c slonik.h
parser.o:			parser.c scan.c

parser.c:			parser.y slonik.h
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c parser.c
else
	@echo "Missing yacc $< $@"
	@exit 1
endif

scan.c: SCANNER_HEADER=scan.h

scan.c:				scan.l slonik.h
ifdef FLEX 
	$(FLEX) $(FLEXFLAGS) --header-file=$(SCANNER_HEADER) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(wildcard *.c)

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean:	clean
	rm -f parser.c scan.c y.tab.h

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper (>= 9.20160114),
 docbook (>= 4.2),
 docbook-dsssl,
 docbook-utils,
 docbook-xml (>= 4.2),
 docbook2x (>= 0.8.8-4),
 flex,
 ghostscript,
 groff,
 libjpeg-turbo-progs | libjpeg-progs,
 libpq-dev,
 netpbm,
 openjade,
 opensp,
 postgresql-server-dev-all (>= 148~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://slony.info/
Vcs-Git: https://salsa.debian.org/postgresql/slony1-2.git
Vcs-Browser: https://salsa.debian.org/postgresql/slony1-2
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 logrotate,
 postgresql-common,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 libdbd-pg-perl,
 ntp | time-daemon,
 ${module:Recommends},
Suggests:
 libpg-perl,
 slony1-2-doc,
Provides:
 slony1-bin,
Conflicts:
 slony1-bin,
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 slony1-doc,
Conflicts:
 slony1-doc,
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-14-slony1-2
Architecture: any
Depends:
 postgresql-14,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 slony1-2-bin,
Provides:
 postgresql-14-slony1,
Conflicts:
 postgresql-14-slony1,
Description: replication system for PostgreSQL: PostgreSQL 14 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 14 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.
